zenilib: zenilib/jni/external/glew/auto/src/glew_tail.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
glew_tail.h File Reference

Go to the source code of this file.

## Macros

#define | GLEW_ERROR_GL_VERSION_10_ONLY 2 /* Need at least OpenGL 1.1 */
#define | GLEW_ERROR_GLX_VERSION_11_ONLY 3 /* Need at least GLX 1.2 */
#define | GLEW_ERROR_NO_GL_VERSION 1 /* missing GL version */
#define | GLEW_GET_FUN(x) x
#define | GLEW_GET_VAR(x) (*(const GLboolean*)&x)
#define | GLEW_NO_ERROR 0
#define | GLEW_OK 0
#define | GLEW_VERSION 1
#define | GLEW_VERSION_MAJOR 2
#define | GLEW_VERSION_MICRO 4
#define | GLEW_VERSION_MINOR 3
#define | glewIsExtensionSupported(x) glewIsSupported(x)

## Functions

GLEWAPI const GLubyte *GLEWAPIENTRY | glewGetErrorString (GLenum error)
GLEWAPI GLboolean GLEWAPIENTRY | glewGetExtension (const char *name)
GLEWAPI const GLubyte *GLEWAPIENTRY | glewGetString (GLenum name)
GLEWAPI GLenum GLEWAPIENTRY | glewInit (void)
GLEWAPI GLboolean GLEWAPIENTRY | glewIsSupported (const char *name)

## Variables

GLEWAPI GLboolean | glewExperimental

## Macro Definition Documentation

#define GLEW_ERROR_GL_VERSION_10_ONLY 2 /* Need at least OpenGL 1.1 */

Definition at line 7 of file glew_tail.h.

Referenced by glewContextInit().

#define GLEW_ERROR_GLX_VERSION_11_ONLY 3 /* Need at least GLX 1.2 */

Definition at line 8 of file glew_tail.h.

Referenced by glxewContextInit().

#define GLEW_ERROR_NO_GL_VERSION 1 /* missing GL version */

Definition at line 6 of file glew_tail.h.

Referenced by glewContextInit().

#define GLEW_GET_FUN | ( |  | x | ) | x

Definition at line 41 of file glew_tail.h.

#define GLEW_GET_VAR | ( |  | x | ) | (*(const GLboolean*)&x)

Definition at line 40 of file glew_tail.h.

#define GLEW_NO_ERROR 0

Definition at line 5 of file glew_tail.h.

#define GLEW_OK 0

Definition at line 4 of file glew_tail.h.

Referenced by glewContextInit(), glxewContextInit(), Zeni::Video_GL_Shader::init(), Zeni::Video_GL_Fixed::init(), and main().

#define GLEW_VERSION 1

Definition at line 11 of file glew_tail.h.

Referenced by main().

#define GLEW_VERSION_MAJOR 2

Definition at line 12 of file glew_tail.h.

#define GLEW_VERSION_MICRO 4

Definition at line 14 of file glew_tail.h.

#define GLEW_VERSION_MINOR 3

Definition at line 13 of file glew_tail.h.

#define glewIsExtensionSupported | ( |  | x | ) | glewIsSupported(x)

Definition at line 38 of file glew_tail.h.

## Function Documentation

GLEWAPI const GLubyte* GLEWAPIENTRY glewGetErrorString | ( | GLenum | error | ) |

Definition at line 3 of file glew_init_tail.c.

GLEWAPI GLboolean GLEWAPIENTRY glewGetExtension | ( | const char * | name | ) |

Definition at line 3 of file glew_init_gl.c.

GLEWAPI const GLubyte* GLEWAPIENTRY glewGetString | ( | GLenum | name | ) |

Definition at line 17 of file glew_init_tail.c.

GLEWAPI GLenum GLEWAPIENTRY glewInit | ( | void |  | ) |

Definition at line 43 of file glew_init_tail.c.

GLEWAPI GLboolean GLEWAPIENTRY glewIsSupported | ( | const char * | name | ) |

Definition at line 4 of file glew_str_head.c.

## Variable Documentation

GLEWAPI GLboolean glewExperimental

Definition at line 45 of file glew_tail.h.